//*********************************************************************************************
// Randomforests.cpp
//*********************************************************************************************

#include "StdAfx.h"

#include "graph.h"

//----------------------------------------------------------------------------------------------

int main(int argc, char* argv[])
{
  srand(time(NULL));
  time_t start, finish;
  double elapsed_time;

  // Set parameters
  int n = 8;
  Method method = advanced;
  bool verbose = false;
  bool check = false;

  // Start computation
  time(&start);
  CGraph::check_conjecture_up_to_K_n(n, method, verbose, check); 
  time(&finish);

  elapsed_time = difftime(finish, start);
  cout << "Computation took " << elapsed_time << " seconds." << endl << endl;

  return 0;
}

//----------------------------------------------------------------------------------------------
