//*********************************************************************************************
// matrix.h
//*********************************************************************************************

#ifndef __MATRIX_H__
#define __MATRIX_H__

#pragma message("Compiling matrix.h\n")

//----------------------------------------------------------------------------------------------

template<class T> class matrix : public vector< vector<T> > 
{
 public:
  explicit matrix(void) : vector< vector<T> >() {};

  explicit matrix(size_type n, const vector<T>& v = vector<T>()) : vector< vector<T> >(n, v) {};

  matrix(const matrix& x) : vector< vector<T> >(x) {};

  matrix(const_iterator first, const_iterator last) : vector< vector<T> >(first, last) {};
};

//----------------------------------------------------------------------------------------------

#endif